Package org.eclipse.emf.cdo.transaction

## Class CDOTransaction.CommitResult<T>

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDOTransaction.CommitResult<T>

- Enclosing interface:
    CDOTransaction

      public static final class CDOTransaction.CommitResult<T>
      extends java.lang.Object

  A value type that combines the result of a persistable computation and the `commit info` of the final `transaction commit`. A persistable computation is a `Callable` that operates on and possibly modifies the `objects` of a `transaction`.
  Since:
    4.8
  Author:
    Eike Stepper
  See Also:
    `CDOTransaction.commit(Callable, int, IProgressMonitor)`, `CDOTransaction.commit(Callable, java.util.function.Predicate, IProgressMonitor)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommitResult​(T result, CDOCommitInfo info)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCommitInfo` | `getInfo()` |
    `T` | `getResult()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitResult

          public CommitResult​(T result,
                              CDOCommitInfo info)

  - ### Method Detail

    - #### getResult

          public T getResult()

    - #### getInfo

          public CDOCommitInfo getInfo()